import { ApiProperty } from '@nestjs/swagger';
import { IsEmail, IsNotEmpty, IsNumber } from 'class-validator';

export class PendingStructureDto {
  @IsNotEmpty()
  @IsEmail()
  @ApiProperty({ type: String })
  readonly userEmail: string;

  @IsNotEmpty()
  @IsNumber()
  @ApiProperty({ type: Number })
  readonly structureId: number;
}
