import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { ScheduleModule } from '@nestjs/schedule';
import { AppController } from './app.controller';
import { StructuresModule } from './structures/structures.module';
import { ConfigurationModule } from './configuration/configuration.module';
import { CategoriesModule } from './categories/categories.module';
import { AuthModule } from './auth/auth.module';
import { UsersModule } from './users/users.module';
import { MailerModule } from './mailer/mailer.module';
import { TclModule } from './tcl/tcl.module';
import { AdminModule } from './admin/admin.module';
@Module({
  imports: [
    ConfigurationModule,
    MongooseModule.forRoot(
      `mongodb://${process.env.MONGO_NON_ROOT_USERNAME}:${process.env.MONGO_NON_ROOT_PASSWORD}@${process.env.MONGO_DB_HOST_AND_PORT}/ram`
    ),
    ScheduleModule.forRoot(),
    StructuresModule,
    CategoriesModule,
    AuthModule,
    UsersModule,
    MailerModule,
    TclModule,
    AdminModule,
  ],
  controllers: [AppController],
})
export class AppModule {}
