import { Body, Controller, Get, Post } from '@nestjs/common';
import { CategoriesFormationsService } from '../services/categories-formations.service';
import { CreateCategoriesFormations } from '../dto/create-categoriesFormations.dto';
import { CategoriesFormations } from '../schemas/categoriesFormations.schema';

@Controller('categories/categoriesFormations')
export class CategoriesFormationsController {
  constructor(private readonly categoriesFormationsService: CategoriesFormationsService) {}

  @Post()
  public async create(@Body() createStructureDto: CreateCategoriesFormations) {
    await this.categoriesFormationsService.create(createStructureDto);
  }

  @Get()
  public async findAll(): Promise<CategoriesFormations[]> {
    return this.categoriesFormationsService.findAll();
  }
}
