import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { CreateCategoriesAccompagnement } from '../dto/create-categoriesAccompagnement.dto';
import { CategoriesAccompagnement, CategoriesAccompagnementDocument } from '../schemas/categoriesAccompagnement.schema';

@Injectable()
export class CategoriesAccompagnementService {
  constructor(
    @InjectModel(CategoriesAccompagnement.name) private structureModel: Model<CategoriesAccompagnementDocument>
  ) {}

  public async create(createDto: CreateCategoriesAccompagnement): Promise<CategoriesAccompagnement> {
    const createdStructure = new this.structureModel(createDto);
    return createdStructure.save();
  }

  public async findAll(): Promise<CategoriesAccompagnement[]> {
    return this.structureModel.find().exec();
  }
}
