import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { CreateCategoriesFormations } from '../dto/create-categoriesFormations.dto';
import { CategoriesFormations, CategoriesFormationsDocument } from '../schemas/categoriesFormations.schema';

@Injectable()
export class CategoriesFormationsService {
  constructor(@InjectModel(CategoriesFormations.name) private structureModel: Model<CategoriesFormationsDocument>) {}

  public async create(createDto: CreateCategoriesFormations): Promise<CategoriesFormations> {
    const createdStructure = new this.structureModel(createDto);
    return createdStructure.save();
  }

  public async findAll(): Promise<CategoriesFormations[]> {
    return this.structureModel.find().exec();
  }
}
