import { Logger } from '@nestjs/common';
import * as dotenv from 'dotenv';
import { config } from './config';
import { configProd } from './config.prod';
export class ConfigurationService {
  private readonly _config;

  constructor() {
    // Initializing conf with values from var env
    if (process.env.NODE_ENV === 'production') {
      this._config = configProd;
      Logger.log('App started with production conf', 'ConfigurationService');
    } else {
      this._config = config;
      Logger.log('App started with dev conf', 'ConfigurationService');
    }
    dotenv.config();
  }

  get config() {
    return this._config;
  }
}
