import { Type } from 'class-transformer';
import { ArrayNotEmpty, IsNotEmpty, ValidateNested } from 'class-validator';
import { Address } from '../schemas/address.schema';
import { Week } from '../schemas/week.schema';

export class structureDto {
  id: number;
  numero: string;
  createdAt: string;
  updatedAt: string;

  @IsNotEmpty()
  structureRepresentation: string;

  @IsNotEmpty()
  structureName: string;

  @ArrayNotEmpty()
  structureType: string[];

  @IsNotEmpty()
  description: string;

  @ValidateNested({ each: true })
  @Type(() => Address)
  address: Address;

  @IsNotEmpty()
  contactPhone: string;

  @IsNotEmpty()
  contactMail: string;

  website: string;
  facebook: string;
  twitter: string;
  instagram: string;
  gender: string;
  contactName: string;
  contactSurname: string;
  fonction: string;
  lockdownActivity: string;
  pmrAccess: boolean;
  publicsAccompaniment: string[];
  proceduresAccompaniment: string[];
  @ArrayNotEmpty()
  accessModality: string[];

  documentsMeeting: string;
  labelsQualifications: string[];

  @ArrayNotEmpty()
  publics: string[];

  nbComputers: number;
  nbPrinters: number;
  nbTablets: number;
  nbNumericTerminal: number;
  exceptionalClosures: string;
  equipmentsAndServices: string[];
  hours: Week;
  equipmentsDetails: string;
  equipmentsAccessType: string[];
  baseSkills: string[];
  accessRight: string[];
  parentingHelp: string[];
  socialAndProfessional: string[];
  digitalCultureSecurity: string[];
  coord: number[];
}
