import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Address } from './address.schema';
import { Week } from './week.schema';

export type StructureDocument = Structure & Document;

@Schema({ timestamps: { createdAt: 'createdAt', updatedAt: 'updatedAt' } })
export class Structure {
  @Prop()
  id: number;

  @Prop()
  numero: string;

  @Prop()
  createdAt: string;

  @Prop()
  updatedAt: string;

  @Prop()
  structureRepresentation: string;

  @Prop()
  structureName: string;

  @Prop()
  structureType: string[];

  @Prop()
  description: string;

  @Prop()
  lockdownActivity: string;

  @Prop()
  address: Address;

  @Prop()
  contactPhone: string;

  @Prop()
  contactMail: string;
  @Prop()
  website: string;

  @Prop()
  facebook: string;

  @Prop()
  twitter: string;

  @Prop()
  instagram: string;

  @Prop()
  gender: string;

  @Prop()
  contactName: string;

  @Prop()
  contactSurname: string;

  @Prop()
  fonction: string;

  @Prop()
  pmrAccess: boolean;

  @Prop()
  accessModality: string[];

  @Prop()
  documentsMeeting: string;

  @Prop()
  labelsQualifications: string[];

  @Prop()
  publics: string[];

  @Prop()
  exceptionalClosures: string;

  @Prop()
  publicsAccompaniment: string[];

  @Prop()
  proceduresAccompaniment: string[];

  @Prop()
  baseSkills: string[];

  @Prop()
  accessRight: string[];

  @Prop()
  socialAndProfessional: string[];

  @Prop()
  parentingHelp: string[];

  @Prop()
  digitalCultureSecurity: string[];

  @Prop()
  equipmentsDetails: string;

  @Prop()
  equipmentsAccessType: string[];

  @Prop()
  equipmentsAndServices: string[];

  @Prop()
  nbComputers: number;

  @Prop()
  nbPrinters: number;

  @Prop()
  nbTablets: number;

  @Prop()
  nbNumericTerminal: number;

  @Prop()
  hours: Week;

  @Prop()
  coord: number[];
}

export const StructureSchema = SchemaFactory.createForClass(Structure);
StructureSchema.index({ '$**': 'text' });
