import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { UserRole } from '../enum/user-role.enum';
@Schema()
export class User {
  @Prop({ required: true })
  email: string;

  @Prop({ required: true })
  password: string;

  @Prop({ default: false })
  emailVerified: boolean;

  @Prop({ default: null })
  validationToken: string;

  @Prop({ default: null })
  resetPasswordToken: string;

  @Prop({ enum: [UserRole.admin, UserRole.user], default: UserRole.user })
  role: number;

  @Prop({ default: null })
  changeEmailToken: string;

  @Prop({ default: null })
  newEmail: string;

  @Prop({ default: null })
  structuresLink: number[];

  @Prop({ default: null })
  pendingStructuresLink: number[];
}

export const UserSchema = SchemaFactory.createForClass(User);
